package com.logicbig.example;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
@RequestMapping("/**")
public class MyController {

    @RequestMapping
    public String handleRequest(Model model) {
        model.addAttribute("user", getUser());
        return "xmlView";
    }

    private User getUser() {
        User user = new User();
        user.setName("Peggy Newman");
        user.setAddress("9626 Levert Ave, Augusta");
        user.setEmail("peggy@example.com");
        return user;
    }
}